Skip to main content
GET
Get Document Status

Authorizations

Authorization
string
header
required

Your Nugen API key, sent as a Bearer token

Path Parameters

document_id
string
required

ID of the document, returned when it was uploaded

Response

Returns the processing status for a document upload: QUEUED, PROCESSING, READY or FAILED, with the document_id once READY, and timestamps.

Processing status of one document.

status
enum<string>
required

Current upload status

Available options:
QUEUED,
PROCESSING,
READY,
FAILED,
STOPPED
Example:

"READY"

document_id
string | null

Document ID once the upload is READY; null while still uploading or if failed

Example:

"document_01k4x9m2p7q3r5sa"

created_at
string<date-time> | null

Timestamp when the document was created

completed_at
string<date-time> | null

Timestamp when processing completed; null while still running

updated_at
string<date-time> | null

Timestamp of the last status change

progress
number | null

Completion progress, 0.0 to 100.0. Not wired up yet, always null.

eta_seconds
integer | null

Estimated time remaining in seconds. Not wired up yet, always null.